<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
           elementFormDefault="qualified"
           xmlns="http://www.h3c.com/netconf/data:1.0"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:complexType name="DomainNameType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="255"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MaxAccessNumType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="1"></xs:minInclusive>
        <xs:maxInclusive value="64"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="String1to31Type">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="31"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:element name="Domain">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="GlobalConfig">
          <xs:complexType>
            <xs:all>
              <xs:element name="DefaultDomain" type="DomainNameType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="IfUnknownDomain" type="DomainNameType" minOccurs="0" nillable="true"></xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="SessionLimit" minOccurs="0">
          <xs:complexType>
            <xs:all>
              <xs:element name="Ftp"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="32"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Telnet"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="32"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Http"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="64"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Ssh"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="32"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Https"  minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="64"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Domains" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Domain" maxOccurs="unbounded" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="DomainName" type="DomainNameType" minOccurs="0" nillable="true"></xs:element>
                    <xs:element name="SessTimeIncldeIdle" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                    <xs:element name="State" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ServiceType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="2"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AuthorAttrs" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IdleTime"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="600"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IdleFlow"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="10240000"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ProfileName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:pattern value="^[a-zA-Z]([a-zA-Z0-9]|_){0,}$"></xs:pattern>
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="31"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IpPoolName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Ipv6PoolName"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Ipv6Address" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Ipv6PrefixLength"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"/>
                                  <xs:maxInclusive value ="128"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrimDnsIpaddr" type="base:Ipv4Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="PrimDnsIpv6addr" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="SecDnsIpaddr" type="base:Ipv4Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="SecDnsIpv6addr" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="PortalUrl"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:URLString">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="255"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="VRF" type="String1to31Type" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="IgmpMaxAccessNum" type="MaxAccessNumType" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="MldMaxAccessNum" type="MaxAccessNumType" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Schemes" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Scheme" maxOccurs="unbounded" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="DomainName" type="DomainNameType" minOccurs="0" nillable="true"></xs:element>
                    <xs:element name="AaaType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="4"/>
                            <xs:enumeration value="5"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AccessType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="10"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SchemeList"  minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:pattern value="^((((1(-2)?)|(2(-1)?)|3)(-4)?(-5)?)|(4(-5)?)|5)$"></xs:pattern>
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value ="9"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SchemeNameList"  minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="3"></xs:minLength>
                            <xs:maxLength value ="68"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="BroadcastSchemes" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="BroadcastScheme" maxOccurs="unbounded" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="DomainName" type="DomainNameType" minOccurs="0" nillable="true"></xs:element>
                    <xs:element name="AccessType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="3"/>
                            <xs:enumeration value="4"/>
                            <xs:enumeration value="6"/>
                            <xs:enumeration value="8"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SchemeName"  minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value ="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Specification">
          <xs:complexType>
            <xs:all>
              <xs:element name="SessionLimitSpecification" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Ftp" type="base:Boolean" minOccurs="0" nillable="true"></xs:element>
                    <xs:element name="Telnet" type="base:Boolean" minOccurs="0" nillable="true"></xs:element>
                    <xs:element name="Http" type="base:Boolean" minOccurs="0" nillable="true"></xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name="SchemesSpecification" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="None" type="base:Boolean" minOccurs="0" nillable="true"></xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>